/*
 *  linux/fs/cse451/inode.c
 *
 *  Copyright (C) 1991, 1992  Linus Torvalds
 *
 *  Copyright (C) 1996  Gertjan van Wingerde    (gertjan@cs.vu.nl)
 *	Minix V2 fs support.
 *
 *  Modified for 680x0 by Andreas Schwab
 */

#include <linux/module.h>

#include <linux/sched.h>
#include <linux/kernel.h>
#include <linux/mm.h>
#include <linux/slab.h>
#include <linux/string.h>
#include <linux/stat.h>
#include <linux/locks.h>
#include <linux/init.h>
#include <linux/smp_lock.h>
#include <linux/highuid.h>

#include <asm/system.h>
#include <asm/bitops.h>

#include "../cse451fs.h"

static int cse451_writepage(struct page *page)
{
	DEBUGPRINTK (("_writepage\n"))
        return block_write_full_page(page,get_block);
}

static int cse451_readpage(struct file *file, struct page *page)
{
	DEBUGPRINTK (("_readpage\n"))
        return block_read_full_page(page,get_block);
}

static int cse451_prepare_write(struct file *file, struct page *page, unsigned from, unsigned to)
{
	DEBUGPRINTK (("_prepare_write\n"))
        return block_prepare_write(page,from,to,get_block);
}

struct address_space_operations cse451_aops = {
        readpage: cse451_readpage,
        writepage: cse451_writepage,
        sync_page: block_sync_page,
        prepare_write: cse451_prepare_write,
        commit_write: generic_commit_write,
//       bmap: cse451_bmap
};


